org.apache.lucene.luke.app.desktop.util

## Class DialogOpener<T extends DialogOpener.DialogFactory>

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.DialogOpener<T>

-     public class DialogOpener<T extends DialogOpener.DialogFactory>
      extends Object

  An utility class for opening a dialog

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DialogOpener.DialogFactory` factory interface to create a dialog

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialogOpener(T factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `open(String title, int width, int height, Consumer<? super T> initializer, String... styleSheets)`
    `void` | `open(Window owner, String title, int width, int height, Consumer<? super T> initializer, String... styleSheets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialogOpener

          public DialogOpener(T factory)

  - ### Method Detail

    - #### open

          public void open(String title,
                           int width,
                           int height,
                           Consumer<? super T> initializer,
                           String... styleSheets)

    - #### open

          public void open(Window owner,
                           String title,
                           int width,
                           int height,
                           Consumer<? super T> initializer,
                           String... styleSheets)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.